/* Generated by wayland-scanner 1.23.0 */

/*
 * Copyright © 2008-2013 Kristian Høgsberg
 * Copyright © 2013      Rafael Antognolli
 * Copyright © 2013      Jasper St. Pierre
 * Copyright © 2010-2013 Intel Corporation
 *
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and associated documentation files (the "Software"),
 * to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense,
 * and/or sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice (including the next
 * paragraph) shall be included in all copies or substantial portions of the
 * Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.  IN NO EVENT SHALL
 * THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
 * DEALINGS IN THE SOFTWARE.
 */

#include <stdbool.h>
#include <stdlib.h>
#include <stdint.h>
#include "wayland-util.h"

extern const struct wl_interface wl_output_interface;
extern const struct wl_interface wl_seat_interface;
extern const struct wl_interface wl_surface_interface;
extern const struct wl_interface xdg_popup_interface;
extern const struct wl_interface xdg_surface_interface;

static const struct wl_interface *xdg_shell_unstable_v5_types[] = {
	NULL,
	NULL,
	NULL,
	NULL,
	&xdg_surface_interface,
	&wl_surface_interface,
	&xdg_popup_interface,
	&wl_surface_interface,
	&wl_surface_interface,
	&wl_seat_interface,
	NULL,
	NULL,
	NULL,
	&xdg_surface_interface,
	&wl_seat_interface,
	NULL,
	NULL,
	NULL,
	&wl_seat_interface,
	NULL,
	&wl_seat_interface,
	NULL,
	NULL,
	&wl_output_interface,
};

static const struct wl_message xdg_shell_requests[] = {
	{ "destroy", "", xdg_shell_unstable_v5_types + 0 },
	{ "use_unstable_version", "i", xdg_shell_unstable_v5_types + 0 },
	{ "get_xdg_surface", "no", xdg_shell_unstable_v5_types + 4 },
	{ "get_xdg_popup", "nooouii", xdg_shell_unstable_v5_types + 6 },
	{ "pong", "u", xdg_shell_unstable_v5_types + 0 },
};

static const struct wl_message xdg_shell_events[] = {
	{ "ping", "u", xdg_shell_unstable_v5_types + 0 },
};

WL_EXPORT const struct wl_interface xdg_shell_interface = {
	"xdg_shell", 1,
	5, xdg_shell_requests,
	1, xdg_shell_events,
};

static const struct wl_message xdg_surface_requests[] = {
	{ "destroy", "", xdg_shell_unstable_v5_types + 0 },
	{ "set_parent", "?o", xdg_shell_unstable_v5_types + 13 },
	{ "set_title", "s", xdg_shell_unstable_v5_types + 0 },
	{ "set_app_id", "s", xdg_shell_unstable_v5_types + 0 },
	{ "show_window_menu", "ouii", xdg_shell_unstable_v5_types + 14 },
	{ "move", "ou", xdg_shell_unstable_v5_types + 18 },
	{ "resize", "ouu", xdg_shell_unstable_v5_types + 20 },
	{ "ack_configure", "u", xdg_shell_unstable_v5_types + 0 },
	{ "set_window_geometry", "iiii", xdg_shell_unstable_v5_types + 0 },
	{ "set_maximized", "", xdg_shell_unstable_v5_types + 0 },
	{ "unset_maximized", "", xdg_shell_unstable_v5_types + 0 },
	{ "set_fullscreen", "?o", xdg_shell_unstable_v5_types + 23 },
	{ "unset_fullscreen", "", xdg_shell_unstable_v5_types + 0 },
	{ "set_minimized", "", xdg_shell_unstable_v5_types + 0 },
};

static const struct wl_message xdg_surface_events[] = {
	{ "configure", "iiau", xdg_shell_unstable_v5_types + 0 },
	{ "close", "", xdg_shell_unstable_v5_types + 0 },
};

WL_EXPORT const struct wl_interface xdg_surface_interface = {
	"xdg_surface", 1,
	14, xdg_surface_requests,
	2, xdg_surface_events,
};

static const struct wl_message xdg_popup_requests[] = {
	{ "destroy", "", xdg_shell_unstable_v5_types + 0 },
};

static const struct wl_message xdg_popup_events[] = {
	{ "popup_done", "", xdg_shell_unstable_v5_types + 0 },
};

WL_EXPORT const struct wl_interface xdg_popup_interface = {
	"xdg_popup", 1,
	1, xdg_popup_requests,
	1, xdg_popup_events,
};

